/* 
 kraftmessung.ino
 
 Testaufbau zur Kraftmessung mit FSR (force sensitive resitor) 
 Der FSR ist über einen 10k Pullup-Widerstand mit dem analogen Pin A1 verbunden

 (C) 2020 Thomas Angielsky
 techpluscode.de
  
*/
 
int fsrPin = A1;    
int fsrWert; // gemessener Wert vom FSR
float fsrMax = 10.0; //Maximaler Wert des FSR in Kilogramm 
float fsrKG; // umgerechneter Wert in Kilogramm
 
void setup(void) {
// Seriellen Monitor vorbereiten
  Serial.begin(9600);  

//Pin als Eingang setzen  
  pinMode(fsrPin, INPUT);   
     
}
 
void loop(void) {
//Kraft vom Sensor einlesen  
  fsrWert = analogRead(fsrPin);

//Umrechnen in Kilogramm -> Achtung sehr ungenau!    
  fsrKG = float(fsrWert)/float(1024)*fsrMax;
  
  Serial.print("Meßwert = ");
  Serial.print(fsrWert);
  Serial.print(" in Kilogramm: ");
  Serial.println(fsrKG);
 
  delay(1000);   
} 
